Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.edit.ui.provider
Class AdapterFactoryLabelProvider.ColorProvider

    java.lang.Object
      org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider
          org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider.ColorProvider

All Implemented Interfaces:
  org.eclipse.emf.edit.provider.INotifyChangedListener, org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.IColorProvider, org.eclipse.jface.viewers.ILabelProvider, org.eclipse.jface.viewers.ITableColorProvider, org.eclipse.jface.viewers.ITableLabelProvider

Enclosing class:
  AdapterFactoryLabelProvider

    public static class AdapterFactoryLabelProvider.ColorProvider

extends AdapterFactoryLabelProvider
implements org.eclipse.jface.viewers.IColorProvider, org.eclipse.jface.viewers.ITableColorProvider

An extended version of the adapter factory label provider that also provides for colors.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider
`AdapterFactoryLabelProvider.ColorProvider, AdapterFactoryLabelProvider.FontAndColorProvider, AdapterFactoryLabelProvider.FontProvider`

Constructor Summary
`AdapterFactoryLabelProvider.ColorProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory, org.eclipse.swt.graphics.Color defaultForeground, org.eclipse.swt.graphics.Color defaultBackground)` Construct an instance that wraps the given factory and specifies the given default colors.
`AdapterFactoryLabelProvider.ColorProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory, org.eclipse.jface.viewers.Viewer viewer)` Construct an instance that wraps the given factory and uses the colors of the viewer's control.

Method Summary

Methods inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider
`addListener, dispose, fireLabelProviderChanged, getAdapterFactory, getBackground, getBackground, getColumnImage, getColumnText, getDefaultBackground, getDefaultFont, getDefaultForeground, getFont, getFont, getForeground, getForeground, getImage, getText, isFireLabelUpdateNotifications, isLabelProperty, notifyChanged, removeListener, setAdapterFactory, setDefaultBackground, setDefaultFont, setDefaultForeground, setFireLabelUpdateNotifications`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.viewers.IColorProvider
`getBackground, getForeground`

Methods inherited from interface org.eclipse.jface.viewers.ITableColorProvider
`getBackground, getForeground`

Constructor Detail

### AdapterFactoryLabelProvider.ColorProvider

    public AdapterFactoryLabelProvider.ColorProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory,
                                                     org.eclipse.swt.graphics.Color defaultForeground,
                                                     org.eclipse.swt.graphics.Color defaultBackground)

  Construct an instance that wraps the given factory and specifies the given default colors.

  Parameters:
    `adapterFactory` - an adapter factory that yield adapters that implement the various item label provider interfaces.
    `defaultForeground` - the foreground color that will be used when no foreground color is specified.
    `defaultBackground` - the background color that will be used when no background color is specified.

### AdapterFactoryLabelProvider.ColorProvider

    public AdapterFactoryLabelProvider.ColorProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory,
                                                     org.eclipse.jface.viewers.Viewer viewer)

  Construct an instance that wraps the given factory and uses the colors of the viewer's control.

  Parameters:
    `adapterFactory` - an adapter factory that yield adapters that implement the various item label provider interfaces.
    `viewer` - the viewer for which the control's color should be used.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.